Package org.codehaus.groovy.util

# Class IntArrayIterator

java.lang.Object
org.codehaus.groovy.util.IntArrayIterator

All Implemented Interfaces:
  `Iterator<Integer>`

public class IntArrayIterator extends Object implements Iterator<Integer>
Allows an int array to be used where an Iterator is expected.

Since:
  3.0.8

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IntArrayIterator(int[] array)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `hasNext()`
  `Integer`
  `next()`
  `void`
  `remove()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.util.Iterator

  `forEachRemaining`

- ## Constructor Details

  - ### IntArrayIterator

    public IntArrayIterator(int[] array)

- ## Method Details

  - ### hasNext

    public boolean hasNext()
    Specified by:
      `hasNext` in interface `Iterator<Integer>`

  - ### next

    public Integer next()
    Specified by:
      `next` in interface `Iterator<Integer>`

  - ### remove

    public void remove()
    Specified by:
      `remove` in interface `Iterator<Integer>`